Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11Key

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key

Direct Known Subclasses:
  PK11PrivKey, PK11PubKey

abstract class PK11Key
extends java.lang.Object

Field Summary
`protected KeyProxy` | `keyProxy`

Constructor Summary
`protected` | `PK11Key()`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()` Subclasses that support encoding can overload this method.
`java.lang.String` | `getFormat()` Subclasses that support encoding can overload this method.
`private void` | `readObject(java.io.ObjectInputStream in)`
`private void` | `writeObject(java.io.ObjectOutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyProxy

    protected KeyProxy keyProxy

Constructor Detail

### PK11Key

    protected PK11Key()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

### getEncoded

    public byte[] getEncoded()

  Subclasses that support encoding can overload this method.

### getFormat

    public java.lang.String getFormat()

  Subclasses that support encoding can overload this method.

### writeObject

    private void writeObject(java.io.ObjectOutputStream out)
                      throws java.io.IOException

    `java.io.IOException`

### readObject

    private void readObject(java.io.ObjectInputStream in)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD